Package org.apache.synapse.transport.nhttp.debug

## Class ClientConnectionDebug

- java.lang.Object
- - org.apache.synapse.transport.nhttp.debug.AbstractConnectionDebug
  - - org.apache.synapse.transport.nhttp.debug.ClientConnectionDebug

-     public class ClientConnectionDebug
      extends AbstractConnectionDebug

  A connection debug object would be accumulated during processing, but only made use of if the connection encounters issues during processing.

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.nhttp.debug.AbstractConnectionDebug

      `fieldSeparator, headers, keyValueSeparator, printAllHeaders, printHeaderNames, printNoHeaders, statementSeparator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientConnectionDebug​(ServerConnectionDebug serverConnectionDebug)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `dump()` |
    `long` | `getLastRequestStartTime()` |
    `long` | `getResponseCompletionTime()` |
    `long` | `getResponseStartTime()` |
    `ServerConnectionDebug` | `getServerConnectionDebug()` |
    `void` | `recordRequestCompletionTime()` |
    `void` | `recordRequestStartTime​(org.apache.http.nio.NHttpClientConnection conn, Axis2HttpRequest axis2Req)` |
    `void` | `recordResponseCompletionTime()` |
    `void` | `recordResponseStartTime​(String responseLine)` |

    - ### Methods inherited from class org.apache.synapse.transport.nhttp.debug.AbstractConnectionDebug

      `format, headersToString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientConnectionDebug

          public ClientConnectionDebug​(ServerConnectionDebug serverConnectionDebug)

  - ### Method Detail

    - #### recordRequestStartTime

          public void recordRequestStartTime​(org.apache.http.nio.NHttpClientConnection conn,
                                             Axis2HttpRequest axis2Req)

    - #### recordResponseCompletionTime

          public void recordResponseCompletionTime()

    - #### recordRequestCompletionTime

          public void recordRequestCompletionTime()

    - #### recordResponseStartTime

          public void recordResponseStartTime​(String responseLine)

    - #### getLastRequestStartTime

          public long getLastRequestStartTime()

    - #### getResponseCompletionTime

          public long getResponseCompletionTime()

    - #### getResponseStartTime

          public long getResponseStartTime()

    - #### dump

          public String dump()

      Specified by:
        `dump` in class `AbstractConnectionDebug`

    - #### getServerConnectionDebug

          public ServerConnectionDebug getServerConnectionDebug()